
// Add an element in the selection list
$("#add_button").click(function()
{
  var uri = $("#uri").val();
  var language = $("#language").val();

  if(uri != "")
  {
    var request = "";
    request += 'SELECT ?elementLabel ';
    request += 'WHERE ';
    request += '{ ';
    request += '  <'+uri+'> rdfs:label ?elementLabel . ';
    request += '  FILTER(LANG(?elementLabel) = "'+language+'" ) ';
    request += '} ';

    var endPoint = "https://query.wikidata.org/sparql";

    var queryURL = endPoint + "?" + "query="+escape(request) + "&format=json";

    // launch the query
    var ajaxRequest = $.ajax({
      url:queryURL,
      dataType: 'json'
    });

    ajaxRequest.fail(function()
    {
      console.log("EndPoint : " + endPoint);
      console.log("Requete : " + request);
      alert("Echec de la rcupration des donnes");
    });

    ajaxRequest.done(function(data)
    {
      // Get the label of the uri and update the selection list
      for(var i = 0; i < data.results.bindings.length; i++)
      {
        var elementLabel = data.results.bindings[i]["elementLabel"]["value"];

        $('#selection').append($('<option>', {
            value: uri,
            text: elementLabel
        }));

        $("#selection").val(uri);
      }
    });
  }
});
